if(!dojo._hasResource["com.ibm.mm.builder.bootstrap"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.bootstrap"] = true;
/**
 * KickerPage class
 * @author Jarod (zhangpy@cn.ibm.com)
 * @author Marshall (shiwcsdl@cn.ibm.com)
 */
dojo.provide("com.ibm.mm.builder.bootstrap");

dojo.require("com.ibm.mashups.builder.Api");
dojo.require("com.ibm.mm.builder.Model");
dojo.require("com.ibm.mm.builder.constant");
dojo.require("com.ibm.mm.builder.eventTopics");

dojo.require("com.ibm.mm.builder.utils.iwidgetUtil");
dojo.require("com.ibm.mm.builder.utils.iWidgetSpecUtil");
dojo.require("com.ibm.mm.builder.utils.htmlUtil");
dojo.require("com.ibm.mm.builder.utils.layoutUtil");
dojo.require("com.ibm.mm.builder.utils.pageUtil");
dojo.require("com.ibm.mm.builder.utils.themeUtil");
dojo.require("com.ibm.mm.builder.utils.skinUtil");
dojo.require("com.ibm.mm.builder.utils.navigationUtil");
dojo.require("com.ibm.mm.builder.utils.wireUtil");
dojo.require("com.ibm.mm.builder.utils.embedUtil");
dojo.require("com.ibm.mm.builder.utils.enablerUtil");
dojo.require("com.ibm.mm.builder.utils.toolboxUtil");
dojo.require("com.ibm.mm.builder.utils.spaceUtil");
dojo.require("com.ibm.mm.builder.utils.acModelUtil");
dojo.require("com.ibm.mm.builder.commonActions");

dojo.declare("com.ibm.mm.builder.KickerPage",null, {
	
	/**
	 * when login, find first page
	 * 	- according to pid in location
	 *  - or first page of user's root directory
	 * load first page's theme
	 */
	initPage: function(){
		try {
			var fp = com.ibm.mm.builder.utils.navigationUtil.getFirstPageNode();
			if(fp){
				com.ibm.mashups.builder.model.Factory.getRuntimeModel().getCurrentPage().setID(fp.getID());
			}

			com.ibm.mm.builder.utils.themeUtil.loadTheme();
		} catch(e) {
			alert(dojo.string.substitute(com.ibm.mm.builder.coreWidgetsMessages.E_MAIN_LOAD_PAGE_FAIL_2,[e.name,e.message]));
		}
	}
});

}
