/* Copyright IBM Corp. 2009, 2010  All Rights Reserved.                    */
dojo.require("com.ibm.mm.builder.iwidget.spacemanager.widget.PageCreationWidget");

dojo.declare("com.ibm.mm.builder.createPage",null,{
	createPageDlg: null,
	
	onLoad: function() {
		var widgetId = this.iContext.widgetId;
        var rootNode = dojo.byId("_"+widgetId+"_root");
		
		this.createPageDlg = new com.ibm.mm.builder.iwidget.spacemanager.widget.PageCreationWidget({
			root: rootNode,
			widgetId: widgetId,
			icontext: this.iContext
		}, rootNode);
	},
	
	onCreatePage: function(iEvent) {
		this.createPageDlg.setSpaceId(iEvent.payload.spaceId);
		this.createPageDlg.setIsFromSpaceMgr(iEvent.payload.isFromSpaceMgr);
		this.createPageDlg.setParentPageId(iEvent.payload.parentPageId);
		this.createPageDlg.cleanUI();
		if (iEvent.payload.message) {
			this.createPageDlg.showMessage(iEvent.payload.message, "info");
		}
	}
});
