/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.ac.EffectiveAccess");

dojo.require("com.ibm.mashups.enabler.ac.RoleType");
//<INTERFACE>
/**
 * Interface representing effective allowed access.
 * @ibm-spi
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.ac.EffectiveAccess", null, {
    /**
     * Returns whether a given role is set.
     *
     * @param {com.ibm.mashups.enabler.ac.RoleType} roletype the role type
     * @return {Boolean} <code>true</code> if the role is available, <code>false</code> otherwise.
     */
    hasRole: function(roletype) {
    },
    
    /**
     * Indicates if the resource is private.
     *
     * @return {Boolean} returns <code>true</code> if the resource is private, <code>false</code> otherwise.
     */
    isPrivate: function() {
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.ac.EffectiveAccessImpl");
