/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.state.UrlGeneratorFactory" );

//<INTERFACE>
/**
 * Interface representing an UrlGeneratorFactory.
 * @ibm-spi
 * @ibm-module Base
 */
dojo.declare( "com.ibm.mashups.enabler.model.state.UrlGeneratorFactory", null, {
    /**
     * Returns the url generator to get the url based on navigationstatemodel
     * @type com.ibm.mashups.enabler.model.state.UrlGenerator
     * @return {com.ibm.mashups.enabler.model.state.UrlGenerator} The url generator based on navigation state model
     * @deprecated Use getURLGenerator instead.
     */
	getUrlGenerator:function() {
	},

	/**
     * Returns the url generator to get the url based on navigationstatemodel
     * @type com.ibm.mashups.enabler.model.state.UrlGenerator
     * @return {com.ibm.mashups.enabler.model.state.UrlGenerator} The url generator based on navigation state model
     */
	getURLGenerator:function() {
	}
});	
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.model.state.UrlGeneratorFactoryImpl");
