# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2008. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

import sys

serverName = sys.argv[0]
nodeName = sys.argv[1]

arr = '[-serverName "' + serverName + '" -nodeName "' + nodeName + '"]'

print arr

AdminTask.setSecurity(arr)

server1 = AdminConfig.getid("/Node:"+nodeName+"/Server:"+serverName+"/" )
jvm = AdminConfig.list("JavaVirtualMachine", server1)
AdminConfig.modify(jvm, [["initialHeapSize", 200]])
AdminConfig.modify(jvm, [["maximumHeapSize", 1024]])

AdminConfig.save()
