/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.navigation.NavigationNode");

dojo.require("com.ibm.mashups.enabler.navigation.NavigationElement");
dojo.require("com.ibm.mashups.enabler.RepresentationProvider");
dojo.require("com.ibm.mashups.enabler.content.ServerRuntimeContentProvider");
//<INTERFACE>
/**
 * Interface representing a navigation node
 *
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.navigation.NavigationNode", [com.ibm.mashups.enabler.navigation.NavigationElement, com.ibm.mashups.enabler.content.ServerRuntimeContentProvider, com.ibm.mashups.enabler.RepresentationProvider], {

    /**
     * Returns the URL for page export and post page to hub, or <code>null</code>
     * if no resource link has been put into navigation feed.
     * @return {String} the link to export the page.
     */
    getExportPageURL: function() {
    }
});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.navigation.NavigationNodeImpl");
